Subject: Re: [PATCH 7/7] push: document --lockref

From: Jonathan Nieder <[email-masked]>
Date: Sun, 14 Jul 2013 13:49:20 -0700

Jonathan Nieder wrote:
> Johannes Sixt wrote:

>> Sorry, IMO, this goes into a totally wrong direction, in particular, I
>> think that this is going to close to door to make --lockref the default
>> some day in a way that helps everyone.
>
> Would a '*' that acts like --lockref on a per ref basis address your
> concerns?

(Aside: '*' is not a great character for that.  * is already taken in
refspec syntax.  There's no clash but the two uses would be confusing.

	*:
	*:*

Some other single-character prefix could work, such as '.' or '~'.)